%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program initialize signal-to-noise list
%   Author:      Feipeng Li
%   E-mail:      fli2@uiuc.edu
%   Time-stamp:  2007-06-05
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function snrs = initialize_snrs(cur_exp)

global doc configs;

doc.exp = cur_exp;

if strcmp(doc.exp, 'MN64')||strcmp(doc.exp, 'ALL-SWN')
    load([configs.datapath '/MN64/snrs64.mat']);
elseif strcmp(doc.exp, 'MN16R')||strcmp(doc.exp, 'ALL-WN')
    load([configs.datapath '/MN16R/snrs16.mat']);
end

doc.snrs = snrs;

snrs = doc.snrs;
