%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program initialize signal-to-noise list
%   Author:      Feipeng Li
%   E-mail:      fli2@uiuc.edu
%   Time-stamp:  2007-06-05
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function snrs = initialize_snrs(cur_exp)

global doc configs;
configs.datapath='./sets'; %JBA Need to set path to ./sets

doc.exp = cur_exp;

if strcmp(doc.exp, '64')
    load([configs.datapath '/MN64/snrs64.mat']);
elseif strcmp(doc.exp, '16')
    load([configs.datapath '/MN16R/snrs16.mat']);
elseif strcmp(doc.exp, '06sv')||strcmp(doc.exp, '06sc')
    load([configs.datapath '/CV06SWN/snrs06s.mat']);
elseif strcmp(doc.exp, '06wv')||strcmp(doc.exp, '06wc')
    load([configs.datapath '/CV06WN/snrs06w.mat']);
end

doc.snrs = snrs;

snrs = doc.snrs;
